unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Grids;

type
  TForm1 = class(TForm)
    StringGrid1: TStringGrid;
    BitBtn1: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
var
   e:TLabel;  //jeśli nie korzysta się ze zdarzeń etykiety, to może to być zmienna
              //lokalna
   szer:integer;
begin
   e:=TLabel.Create(Self);
   e.Parent:=Stringgrid1;
   e.Caption:='Ala ma kota';
   e.Alignment:=taCenter; e.Font.Size:=14;
   szer:= Stringgrid1.ColCount*(Stringgrid1.DefaultColWidth);
   e.Width:=szer+4;  //wewnątrz wiersza cztery linie siatki, każda o szerokości jednego
                     //piksela
   e.Height:=Stringgrid1.DefaultRowHeight;
//   e.OnClick:=kolor; mozna dodac procedure zmieniajaca kolor etykiety po kliknieciu w nia

end;

end.
